using MessagePack;
#if GameClient
using GameFramework;
#endif

namespace GameMessage
{
    /// <summary>
    /// 我的游戏信息请求
    /// </summary>
    [Message(MessageCode.MyGameInfoRequest)]
    [MessagePackObject()]
    public class MyGameInfoRequest : MessageData
    {
#if GameClient
        public static MyGameInfoRequest Create()
        {
            return ReferencePool.Acquire<MyGameInfoRequest>();
        }
#endif
    }

    /// <summary>
    /// 我的游戏信息响应
    /// </summary>
    [Message(MessageCode.MyGameInfoResponse)]
    [MessagePackObject()]
    public class MyGameInfoResponse : MessageData
    {
        /// <summary>
        /// 玩家UserId
        /// </summary>
        [Key(0)]
        public int Userid;

        /// <summary>
        /// 所在游戏的服务器ID
        /// </summary>
        [Key(1)]
        public int MyGameSerId;
        
        /// <summary>
        /// 游戏的客户端ID
        /// </summary>
        [Key(2)]
        public int GameClientId;

        /// <summary>
        /// 是否锁定在朋友房
        /// </summary>
        [Key(3)]
        public bool IsFriend;
    }
}